CONFIG +=			release \
					warn_on \
					qt \
					thread \
					c++11 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		filterevaluationd
} else {
	TARGET =		filterevaluation
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui \
					xml

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			../core/graphwidget.cpp \
					../core/interpolation.cpp \
					../core/mat4.cpp \
					../core/messagebox.cpp \
					../core/referencesystem.cpp \
					../core/signalprocessing.cpp \
					../core/vector2.cpp \
					../core/vector3.cpp \
					../core/xmlfile.cpp \
					src/conversionwidget.cpp \
					src/exportimportwidget.cpp \
					src/featurecirclewidget.cpp \
					src/featurecylinderwidget.cpp \
					src/featurelinewidget.cpp \
					src/featurewidget.cpp \
					src/filterevaluation.cpp \
					src/main.cpp \
					src/parameterdialog.cpp \
					src/parametersettingswidget.cpp

HEADERS +=			../core/graphwidget.h \
					../core/interpolation.h \
					../core/mat4.h \
					../core/messagebox.h \
					../core/referencesystem.h \
					../core/signalprocessing.h \
					../core/vector2.h \
					../core/vector3.h \
					../core/xmlfile.h \
					src/conversionwidget.h \
					src/exportimportwidget.h \
					src/featurecirclewidget.h \
					src/featurecylinderwidget.h \
					src/featurelinewidget.h \
					src/featurewidget.h \
					src/filterevaluation.h \
					src/parameterdialog.h \
					src/parametersettingswidget.h

RESOURCES +=		res/filterevaluation.qrc

macx{
ICON =			res/icons.icns
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/filterevaluation
}
target.path =		$$PREFIX
target.files =		bin/filterevaluation
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/filterevaluation
}

win32 {
RC_FILE =			res/resource.rc
}
