/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2024  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef CONVERSIONWIDGETHEADERFILE
#define CONVERSIONWIDGETHEADERFILE

#include <QWidget>

class QSpinBox;
class QLineEdit;

class TConversionWidget : public QWidget
{
Q_OBJECT

public:


// CREATORS
	TConversionWidget(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TConversionWidget(void);

// ACCESSORS

// MANIPULATORS	
	void Set_Circular_Diameter(const double &diameter);
	void Set_Linear_Length(const double &length);

signals:

private slots:
	void Undulations_Changed(void);

private:
	QSpinBox							*d_undulations_spin;
	QLineEdit							*d_circular_diameter_edit;
	QLineEdit							*d_circular_width_edit;
	QLineEdit							*d_line_length_edit;
	QLineEdit							*d_line_width_edit;
	
	

// NOT IMPLEMENTED
	TConversionWidget(const TConversionWidget&);
	TConversionWidget& operator=(const TConversionWidget&);
};

#endif
