/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2024  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef FEATURECIRCLEWIDGETHEADERFILE
#define FEATURECIRCLEWIDGETHEADERFILE

#include <QWidget>

class QLineEdit;

class TFeatureCircleWidget : public QWidget
{
Q_OBJECT

public:

// CREATORS
	TFeatureCircleWidget(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TFeatureCircleWidget(void);

// ACCESSORS
	double Diameter(void) const;

// MANIPULATORS
	void Set_Diameter(const double &d);

signals:
	void Data_Changed(void);

private slots:

private:
	QLineEdit							*d_diameter_edit;

// NOT IMPLEMENTED
	TFeatureCircleWidget(const TFeatureCircleWidget&);
	TFeatureCircleWidget& operator=(const TFeatureCircleWidget&);
};

#endif
