/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2024  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef FEATURECYLINDERWIDGETHEADERFILE
#define FEATURECYLINDERWIDGETHEADERFILE

#include <QWidget>

class QLineEdit;
class QSpinBox;

class TFeatureCylinderWidget : public QWidget
{
Q_OBJECT

public:

// CREATORS
	TFeatureCylinderWidget(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TFeatureCylinderWidget(void);

// ACCESSORS
	double Diameter(void) const;
	double Length(void) const;
	int Levels(void) const;

// MANIPULATORS
	void Set_Diameter(const double &d);
	void Set_Length(const double &d);
	void Set_Levels(const int i);

signals:
	void Data_Changed(void);

private slots:

private:
	QLineEdit							*d_diameter_edit;
	QLineEdit							*d_length_edit;
	QSpinBox							*d_levels_spin;

// NOT IMPLEMENTED
	TFeatureCylinderWidget(const TFeatureCylinderWidget&);
	TFeatureCylinderWidget& operator=(const TFeatureCylinderWidget&);
};

#endif
